org.hibernate.search.engine.metadata.impl

## Class ParseContext

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.ParseContext

-     public class ParseContext
      extends Object

  Collects context information needed during the processing of the annotations.
  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectUnqualifiedCollectionRole(String unqualifiedCollectionRole)`
    `void` | `decrementLevel()`
    `Set<String>` | `getCollectedUnqualifiedCollectionRoles()`
    `org.hibernate.annotations.common.reflection.XClass` | `getCurrentClass()`
    `DocumentFieldPath` | `getIdFieldPath()`
    `IndexManagerType` | `getIndexManagerType()`
    `int` | `getLevel()`
    `int` | `getMaxLevel()`
    `boolean` | `includeEmbeddedObjectId()`
    `void` | `incrementLevel()`
    `boolean` | `isExplicitDocumentId()`
    `void` | `setCurrentClass(org.hibernate.annotations.common.reflection.XClass currentClass)`
    `void` | `setExplicitDocumentId(boolean explicitDocumentId)`
    `void` | `setIdFieldPath(DocumentFieldPath idFieldPath)`
    `void` | `setIncludeEmbeddedObjectId(boolean includeEmbeddedObjectId)`
    `void` | `setMaxLevel(int newMaxLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseContext

          public ParseContext()

  - ### Method Detail

    - #### getIndexManagerType

          public IndexManagerType getIndexManagerType()

    - #### getCurrentClass

          public org.hibernate.annotations.common.reflection.XClass getCurrentClass()

    - #### setCurrentClass

          public void setCurrentClass(org.hibernate.annotations.common.reflection.XClass currentClass)

    - #### getMaxLevel

          public int getMaxLevel()

    - #### setMaxLevel

          public void setMaxLevel(int newMaxLevel)

    - #### getLevel

          public int getLevel()

    - #### incrementLevel

          public void incrementLevel()

    - #### decrementLevel

          public void decrementLevel()

    - #### getIdFieldPath

          public DocumentFieldPath getIdFieldPath()

    - #### setIdFieldPath

          public void setIdFieldPath(DocumentFieldPath idFieldPath)

    - #### isExplicitDocumentId

          public boolean isExplicitDocumentId()

    - #### setExplicitDocumentId

          public void setExplicitDocumentId(boolean explicitDocumentId)

    - #### getCollectedUnqualifiedCollectionRoles

          public Set<String> getCollectedUnqualifiedCollectionRoles()

    - #### collectUnqualifiedCollectionRole

          public void collectUnqualifiedCollectionRole(String unqualifiedCollectionRole)

    - #### includeEmbeddedObjectId

          public boolean includeEmbeddedObjectId()

    - #### setIncludeEmbeddedObjectId

          public void setIncludeEmbeddedObjectId(boolean includeEmbeddedObjectId)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved